# kugelFunktionen.py
#----------------------------------------------------------------------------------------------------
# Modul mit Funktionen zum Bewegen und Malen einer Kugel auf einer Leinwand.
#  leinwandVorbereiten()     bereitet die Leinwand zum Malen vor.
#                            Die Größe (800x800) und die Malfarbe (rot) werden eingestellt.
#  bildAnzeigen(position)    malt die Kugel an Stelle position und zeigt das Bild an.
#  randTest(x)               gibt 1 zurück, falls 0<x<1, sonst -1.
#  bewegeKugel(position, richtung)  bewegt die Kugel an Stelle Position einen Schritt in richtung
#                            und gibt die neue Stelle der Kugel zurück.
#  richtungAnpassen(position, richtung) gibt die Richtung zurück, die die Kugel an Stelle position
#                            einnimmt, wenn sie in Richtung richtung rollt.
#                            (Die Richtung ändert sich, wenn die Kugel am Rand anstößt.)
#----------------------------------------------------------------------------------------------------
 
import stddraw

def leinwandVorbereiten():
   stddraw.setCanvasSize(800,800)
   stddraw.setPenColor(stddraw.RED)

def bildAnzeigen(position):
   stddraw.clear(stddraw.YELLOW)
   stddraw.filledCircle(position[0],position[1], 0.05)
   stddraw.show(40)   

def randTest(pos):
   if pos<=0.0 or pos>=1.0: return -1
   else: return 1

def bewegeKugel(position, richtung):
   x_pos = position[0] + richtung[0]
   y_pos = position[1] + richtung[1]
   return x_pos, y_pos

def richtungAnpassen(position, richtung):
   dx = richtung[0] * randTest(position[0])
   dy = richtung[1] * randTest(position[1])
   return dx, dy

