# kugeln_bunt.py
#-------------------------------------------------------------------------
# Zeigt eine Animation mit bunten Kugeln, 
# die über die Leinwand rollen und am Rand abprallen.
#-------------------------------------------------------------------------
from kugelFunktionen import *
import sys, random

# FARBEN ist ein Tupel aus Farben von stddraw.
FARBEN = ( stddraw.BLUE, stddraw.GREEN, stddraw.RED, stddraw.CYAN,
           stddraw.MAGENTA, stddraw.YELLOW, stddraw.ORANGE, stddraw.PINK, 
           stddraw.VIOLET, stddraw.BLACK, stddraw.BOOK_BLUE )

# Zeige das Bild mit allen Kugeln an.
def bildAnzeigen(kugeln):
   stddraw.clear(stddraw.YELLOW)
   for i in range(len(kugeln)):
     stddraw.setPenColor(FARBEN[i%len(FARBEN)])
     stddraw.filledCircle(kugeln[i][0][0],kugeln[i][0][1], 0.05)
   stddraw.show(40)   

#------HAUPTPROGRAMM------------------------------------------------------
# Lies die Anzahl der Kugeln von der Kommandozeile.
n = int(sys.argv[1])

# Erzeuge n Kugeln mit zufälliger Position und Richtung.
kugeln = []
for i in range(n):
  position = ( random.random(), random.random() )
  richtung = ( random.random()/20, random.random()/20 )
  kugeln += [ (position, richtung) ]

# Die Leinwand wird vorbereitet.
leinwandVorbereiten()

# Lasse die Kugeln rollen.
while True:
    for i in range(len(kugeln)):
      # Schrittweite ändern, falls Kugel an einem Rand ist.
      richtung = richtungAnpassen( kugeln[i][0], kugeln[i][1] )
      # Neue Position der Kugel bestimmen.
      position = bewegeKugel( kugeln[i][0], richtung )
      # Position und Richtung der Kugel speichern.
      kugeln[i] = ( position, richtung )
    # Bild mit den Kugeln malen.
    bildAnzeigen(kugeln)

#-------------------------------------------------------------------------
# python3 kugeln_bunt.py 30
